commit:     6d28adcc652e17a9e29787accc30c2ee06ab85b7
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 19:01:57 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Jun 11 11:45:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d28adcc

net-libs/qxmpp: Sync live with latest release ebuild, drop USE=qt4,qt5

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 net-libs/qxmpp/qxmpp-9999.ebuild | 36 ++++++++++++++++++++++++++----------
 1 file changed, 26 insertions(+), 10 deletions(-)

diff --git a/net-libs/qxmpp/qxmpp-9999.ebuild b/net-libs/qxmpp/qxmpp-9999.ebuild
index 490c8531b3c..21806f48a18 100644
--- a/net-libs/qxmpp/qxmpp-9999.ebuild
+++ b/net-libs/qxmpp/qxmpp-9999.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
 EGIT_REPO_URI="https://github.com/qxmpp-project/qxmpp";
 
-inherit qt4-r2 multilib git-2
+inherit git-r3 qmake-utils
 
 DESCRIPTION="A cross-platform C++ XMPP client library based on the Qt 
framework"
 HOMEPAGE="https://github.com/qxmpp-project/qxmpp/";
@@ -13,14 +13,20 @@ HOMEPAGE="https://github.com/qxmpp-project/qxmpp/";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS=""
-IUSE="debug doc +speex test theora vpx"
+IUSE="debug doc opus +speex test theora vpx"
 
-RDEPEND="dev-qt/qtcore:4
+RDEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtnetwork:5[ssl]
+       dev-qt/qtxml:5
+       opus? ( media-libs/opus )
        speex? ( media-libs/speex )
        theora? ( media-libs/libtheora )
-       vpx? ( media-libs/libvpx )"
+       vpx? ( media-libs/libvpx )
+"
 DEPEND="${RDEPEND}
-       test? ( dev-qt/qttest:4 )"
+       test? ( dev-qt/qttest:5 )
+"
 
 src_prepare(){
        if ! use doc; then
@@ -33,7 +39,10 @@ src_prepare(){
                sed -i -e '/SUBDIRS/s/tests//' \
                        qxmpp.pro || die "sed for removing tests failed"
        fi
-       qt4-r2_src_prepare
+       # There is no point in building examples. Also, they require 
dev-qt/qtgui
+       sed -i -e '/SUBDIRS/s/examples//' \
+                       qxmpp.pro || die "sed for removing examples failed"
+       default_src_prepare
 }
 
 src_configure(){
@@ -41,17 +50,24 @@ src_configure(){
        local conf_theora
        local conf_vpx
 
+       use opus && conf_opus="QXMPP_USE_OPUS=1"
        use speex && conf_speex="QXMPP_USE_SPEEX=1"
        use theora && conf_theora="QXMPP_USE_THEORA=1"
        use vpx && conf_vpx="QXMPP_USE_VPX=1"
 
-       eqmake4 "${S}"/qxmpp.pro "PREFIX=${EPREFIX}/usr" "LIBDIR=$(get_libdir)" 
"${conf_speex}" "${conf_theora}" "${conf_vpx}"
+       eqmake5 "${S}"/qxmpp.pro "PREFIX=${EPREFIX}/usr" "LIBDIR=$(get_libdir)" 
"${conf_opus}" "${conf_speex}" "${conf_theora}" "${conf_vpx}"
 }
 
 src_install() {
-       qt4-r2_src_install
+       emake INSTALL_ROOT="${D}" install
+       einstalldocs
        if use doc; then
                # Use proper path for documentation
                mv "${ED}"/usr/share/doc/${PN} "${ED}"/usr/share/doc/${PF} || 
die "doc mv failed"
        fi
 }
+
+src_test() {
+       MAKEOPTS="-j1" # random tests fail otherwise
+       default_src_test
+}

Reply via email to